Bug 168965 - casting causes crash in java bindings
casting causes crash in java bindings
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: db4 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 14:48 EDT by Caolan McNamara
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 18:02:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2005-09-21 14:48:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.11) Gecko/20050914 Fedora/1.7.11-5

Description of problem:
java.lang.NullPointerException
   at .Java_com_sleepycat_db_internal_db_1javaJNI_initDbEnvRef0 (/usr/lib/libdb_java-4.3.so)
   at com.sleepycat.db.internal.db_javaJNI.initDbEnvRef0(long, java.lang.Object) (Unknown Source)
   at com.sleepycat.db.internal.db_java.initDbEnvRef0(com.sleepycat.db.internal.DbEnv, java.lang.Object) (Unknown Source)
   at com.sleepycat.db.internal.DbEnv.initialize() (Unknown Source)
   at com.sleepycat.db.internal.Db.initialize(com.sleepycat.db.internal.DbEnv) (Unknown Source)
   at com.sleepycat.db.internal.Db.Db(com.sleepycat.db.internal.DbEnv, int) (Unknown Source)
   at com.sleepycat.db.DatabaseConfig.createDatabase(com.sleepycat.db.internal.DbEnv) (Unknown Source)
   at com.sleepycat.db.DatabaseConfig.openDatabase(com.sleepycat.db.internal.DbEnv, com.sleepycat.db.internal.DbTxn, java.lang.String, java.lang.String) (Unknown Source)
   at com.sleepycat.db.Database.Database(java.lang.String, java.lang.String, com.sleepycat.db.DatabaseConfig) (Unknown Source)


Version-Release number of selected component (if applicable):
db4-java-4.3.28-2

How reproducible:
Always

Steps to Reproduce:
.

Additional info:

all the locations that gcc says
"warning: dereferencing type-punned pointer will break strict-aliasing rules"
are the culprits.

adding -fno-strict-aliasing should workaround...

diff -u -r1.24 db4.spec
--- db4.spec    20 Sep 2005 21:57:46 -0000      1.24
+++ db4.spec    21 Sep 2005 17:47:04 -0000
@@ -159,7 +159,7 @@
 ./s_config

 %build
-CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
+CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"; export CFLAGS

 # Build the old db-185 libraries.
 make -C db.1.85/PORT/%{_os} OORG="$CFLAGS"
Comment 1 Paul Nasrat 2005-09-21 18:02:33 EDT
Thanks for the patch - tomorrows rawhide should contain this
Comment 2 Fedora Update System 2006-03-14 12:19:31 EST
From User-Agent: XML-RPC

db4-4.3.27-5.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.